Public Member Functions | Static Public Member Functions | List of all members
clan::SoundCache Class Referenceabstract
clanSound Resources

`#include <sound_cache.h>`

## Public Member Functions
virtual | ~SoundCache ()
virtual Resource< SoundBuffer > | get_sound (const std::string &id)=0

## Static Public Member Functions
static SoundCache & | get (const ResourceManager &resources)
static void | set (ResourceManager &resources, const std::shared_ptr< SoundCache > &cache)

The documentation for this class was generated from the following file:

- sound_cache.h